Incompatible libpng version in application and library

Gnome showing the following error?
Fatal error in PNG image file: Incompatible libpng version in application and library

Try:



sudo ln -s /usr/local/lib/libpng.so.6 /usr/local/lib/libpng.so.5

That solved at Gnome 2.30 on FreeBSD 8.